#ifndef _WIRELESS_CMD_H
#define _WIRELESS_CMD_H


#define CTRL_CMD_PACKET_NUM             5
#define CTRL_CMD_PACKET_SIZE            16


typedef enum {
    WIRELESS_CTRL_CMD_CODE_MIC_DISALLOW,
    WIRELESS_CTRL_CMD_CODE_MIC_ALLOW,
    WIRELESS_CTRL_CMD_CODE_USB_CONNECTED,
    WIRELESS_CTRL_CMD_CODE_USB_DISCONNECTED,
    WIRELESS_CTRL_CMD_CODE_CAPS_LOCK_CHANGE,
    WIRELESS_CTRL_CMD_CODE_TEST                     = 0xff,
} WIRELESS_CTRL_CMD_CODE_TYPEDEF;


uint8_t wireless_cmd_get_buf(uint8_t *buf);
void wireless_cmd_send_ctrl_command_asyn(uint8_t type, uint8_t length, uint8_t *value);
void wireless_user_event_handle(uint8_t *buf, uint32_t size);
void wireless_cmd_init(void);

#endif // _WIRELESS_CMD_H
